package cn.superdesk.uniorder.pattern.state.invoice.customer.invoiceInvoiced.isBackCollection.state;

/**
 * @Description: 简易状态机 星型结构
 * @Author: linjinyu
 * @CreateDate: 2021/7/20 下午3:35
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021/7/20 下午3:35
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface InvoiceInvoicedFieldIsBackCollectionState {

	// 初始化或重置 -> 状态 -> 未回款(0, "未回款"),
	void opInitOrReset();

	// 登记回款-部分回款 -> 状态 -> 部分回款(1, "部分回款"),
	void opPart();

	// 登记回款-全部回款 -> 状态 -> 全部回款(2, "全部回款"),
	void opComplete();

	// 红冲发票 -> 状态 -> 红冲发票(69, "红冲发票"),
	void opRedWriteOff();

}
